> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task Parameters

> **Required plan:** Professional or Enterprise.

Update task parameters, including loop parameters (URLs, text lists) and action properties.



## OpenAPI

````yaml /en/api/openapi.json post /task/updateTaskParameters
openapi: 3.0.1
info:
  title: Octoparse API
  description: >-
    Octoparse OpenAPI allows you to programmatically manage tasks, run cloud
    extractions, and retrieve scraped data. Base URL:
    `https://openapi.octoparse.com`
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API Server
security: []
paths:
  /task/updateTaskParameters:
    post:
      tags:
        - Task
      summary: Update Task Parameters
      description: >-
        **Required plan:** Professional or Enterprise.


        Update task parameters, including loop parameters (URLs, text lists) and
        action properties.
      operationId: updateTaskParameters
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - taskId
                - actions
              properties:
                taskId:
                  type: string
                actions:
                  type: array
                  items:
                    type: object
                    properties:
                      actionType:
                        type: string
                      actionId:
                        type: string
                      properties:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            value:
                              type: string
                      loopItems:
                        type: object
                        properties:
                          actionId:
                            type: string
                          loopType:
                            type: string
                          loopItems:
                            type: array
                            items:
                              type: string
                          isAppend:
                            type: boolean
      responses:
        '200':
          description: Task parameters updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      taskId:
                        type: string
                      updatedParameters:
                        type: object
                  requestId:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Use the access_token obtained from POST /token

````